/* Radzen テーマのカスタマイズ */
:root {
    /* フォントサイズ */
    --rz-body-font-size: 1rem !important;
    /* フォント */
    --bs-body-font-family: Noto Sans JP, Sans !important;
    --rz-text-font-family: Noto Sans JP, Sans !important;
    /* データグリッド */
    --rz-grid-cell-padding: 4px !important;
    --rz-text-h2-font-size: clamp(1.0rem, 4.167vw, 1.5rem) !important;
}

/* ASP.NET Blazor */
h1:focus {
    outline: none;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

/* ｸﾞﾘｯﾄﾞHeader設定 */
.rz-column-title {
    padding: 0rem 0.5rem 0rem 0.5rem !important;
}

/* ｸﾞﾘｯﾄﾞDetail設定 */
.rz-cell-data {
    padding: 0rem 0.5rem 0rem 0.5rem !important;
}

/* 必須項目 */
.required label::after {
    content: "*";
    color: red;
}

/* ReadOnly */
.read-only {
    background-color: lightyellow !important;
}

.rz-inputtext.rz-readonly {
    background-color: lightyellow !important;
}

/* AutoComplete */
.rz-autocomplete-input {
    background-color:azure !important;
}

/* Label */
/*.rz-label {
    padding: 1rem 0rem 1rem 0rem !important;
}*/

/* DropDown */
.rz-dropdown {
    padding: 0.4rem 0.4rem 0.4rem 0.4rem !important;
}

/* Numeric */
.rz-spinner-input.valid.rz-inputtext {
    text-align: right !important;
    padding: 0rem 0.2rem 0rem 0.2rem !important;
}

.rz-spinner.rz-text-align-left.rz-hour-picker {
    text-align: right !important;
    padding: 0rem 1rem 0rem 1rem !important;
}

.rz-spinner.rz-text-align-left.rz-minute-picker {
    text-align: right !important;
    padding: 0rem 1rem 0rem 1rem !important;
}

.rz-spinner-input.rz-inputtext {
    text-align: right !important;
    padding: 0rem 0.2rem 0rem 0.2rem !important;
}

body {
    background-image:none !important;
}

.control-panel {
    position:fixed;
    left:0px;
    bottom:0px;
    width: 100vw;
    z-index:9999;
    background-color:lightgray;
}

.control-panel .main-button {
    background-color:green !important;
}

    .control-panel .danger-button {
        background-color: red !important;
    }


    .control-panel .etc-button {
        background-color: dimgray !important;
    }


.rz-layout .rz-body {
    transform: none !important;
}

/* [RadzenFieldSet] */
.rz-fieldset-content {
    padding: 0.5rem 0.5rem 0.5rem 0.5rem !important;
}

.rz-text-body1 {
    margin: 0rem 0rem 0rem 0rem !important;
}

.rz-dropdown-item {
    padding: 0.2rem 0.5rem 0.2rem 0.5rem !important;
}

.ordergrid .rz-column-title {
    font-size: 0.8rem !important;
}

.ordergrid .rz-data-grid-data .rz-data-row .rz-cell-data {
    font-size: 0.8rem !important;
    padding: 0rem 0.2rem 0rem 0.2rem !important;
}

.sheet-table {
    font-size:0.85rem !important;
}

.fieldset-overflow-x-scroll .rz-fieldset-content {
    overflow-x:scroll;
}

.tabs-overflow-x-scroll .rz-tabs-content {
    overflow-x:scroll;
}

.rz-layout .rz-sidebar {
    z-index: 100 !important;
}

.rz-panel-menu .rz-navigation-item-wrapper:hover {
    color: white !important;
}

.rz-datalist-data {
    padding: 0rem !important;
}